# exports / triggers

## Client Exports / Triggers

<table><thead><tr><th width="428" align="center">Export</th><th align="center">Result</th></tr></thead><tbody><tr><td align="center">exports.brutal_gym:gymDoExercises()</td><td align="center">true / false</td></tr><tr><td align="center">exports.brutal_gym:GetSkillCount(skilltype)</td><td align="center">number from 0 to 100, how many skill points you have</td></tr><tr><td align="center">exports.brutal_gym:AddSkillCount(skilltype, count)</td><td align="center"><p>Add skill to the player <br>Skill types:</p><pre class="language-lua"><code class="lang-lua">Stamina / Running / Driving / Strength / Swimming / Shooting
</code></pre></td></tr><tr><td align="center">exports.brutal_gym:RemoveSkillCount(skilltype, count)</td><td align="center"><p>Remove skill from the player <br>Skill types:</p><pre class="language-lua"><code class="lang-lua">Stamina / Running / Driving / Strength / Swimming / Shooting
</code></pre></td></tr></tbody></table>

For example:

```lua
local isDoGYMExercises = exports.brutal_gym:gymDoExercises()

if isDoGYMExercises == true then
     print('Player is doing gym exercises right now.')
elseif isPlayerBoxing == false then
     print('Player is NOT doing gym exercises right now.')
end

exports.brutal_gym:AddSkillCount('Strength', 2) -- Add 2 skill points for the strength of the player 
exports.brutal_gym:RemoveSkillCount('Strength', 2) -- Remove 2 skill points for the strength of the player 
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.brutalscripts.com/site/scripts/gym-with-skills-v2/exports-triggers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
